abcAVI Tag Editor

 abcAVI Tag Editor 1.7.2
25 october 2003

(-) Bug on opening huge file (more then 2 Gb) was fixed. abcAVI ignores such files without freezing.
(-) Bug in "Paste tags" procedure was fixed. Fields "Music By" and "Costume Designer" should be processed correctly.
(*) Defined more exactly 1 video FourCC and 1 audio TwoCC descriptions (thanks to http://www.kmstudio.com.ua)
(*) Page with error report became active if any errors had been detected. You may swith it off by hiding "Total AVI Structure" page (Options/View/Pages...)
(+) Fully redesigned Installer of abcAVI. Now it uses all the power of Inno Setup Wizard.
(+) There are list of servers to search the movie in Internet - around 20 URLs (thanks to Ant Movie Catalog by Antoine Potten from BuyPin Software).
(+) Added 20 new video FourCC descriptions (thanks to http://www.kmstudio.com.ua)
CSCD - CamStudio lossless codec
DFSC - DebugMode FrameServer VFW Codec
DV10 - BlueFish444 (lossless RGBA, YUV 10-bit)
DVAN - Pinnacle miroVideo DV300 SW only codec
DVH1 - Pinnacle DVHD100
DVOR - BlueFish444 (lossless RGBA, YUV 10-bit)
DVR1 - TARGA2000 Codec
EKQ0 - Elsa graphics card quick codec
HD10 - BlueFish444 (lossless RGBA, YUV 10-bit)
LOCO - LOCO Lossless Codec
NTN2 - Nogatech Video Compression 2 (GrabBee hardware coder)
THEO - FFVFW Supported Codec
VBLE - MarcFD VBLE Lossless Codec
VIDM - DivX 5.0 Pro Supported Codec
VP60 - On2 TrueCast VP6
WMVP - Windows Media Video V9
WRLE - Apple QuickTime BMP Codec
WVLT - IllusionHope Wavelet 9/7
YU12 - ATI YV12 4:2:0 Planar
YU92 - Intel - YUV
(+) Added 8 new audio TwoCC descriptions (thanks to http://www.kmstudio.com.ua and to Ant Movie Catalog)
0x0009 - Microsoft DRM
0x0170 - UNISYS NAP ADPCM
0x0171 - UNISYS NAP ULAW
0x0172 - UNISYS NAP ALAW
0x0173 - UNISYS NAP 16K
0x0215 - Ulead DV ACM
0x0241 - ESST AC3
0xDFAC - DebugMode SonicFoundry Vegas FrameServer ACM Codec

abcAVI Tag Editor 1.7.1
2 jule 2003

(-) Export bug fixed - date and time of creation and change of file are exported properly now
(-) Import bug fixed - AKA titles are processed properly
(-) Interface bug fixed - lots of dialog windows didn't react to change font/charset settings
(*) Dead-letters from mail-server@imdb.com are erased automatically (lot of unclaimed mails can arise if user resends query several times).
(*) Import page became active right away creation of new query
(+) abcAVI can parse e-mails from IMDb (http://www.imdb.com) (it's possible to save intercepted by e-mail programme such Outlook or The Bat mail in text file and parse it in abcAVI)
(+) abcAVI can parse reports of AMDbFront (http://www.amdbfront.com) it's SQL based local version of Internet Movie Database
(+) It's possible to save header of AVI file in external file

abcAVI Tag Editor 1.7
20 june 2003

(-) Save bug fixed: abcAVI now saves only changed files on exit program (not every file).
(-) Interface bug fixed: some dialogs were showed incorrectly in chinese and japanese languages.
(*) Changed algorithm of compiling tags (aligning bytes are not used) - brings compatibility with software that has uncompleted RIFF format realization.
(*) Defined more exactly 20 video FourCC and 1 audio TwoCC descriptions (thanks to http://www.kmstudio.com.ua)
(*) Defined more exactly the algorithm of fast video bitrate calculation (based on the information from AVI header only)
(*) Detailed descriptions of AVI structure errors had been included into Failure report
(*) "Video compression" characteristic in short AVI information box had been changed to "Video quality"
(*) Alert on decrease in the size of AVI files may be switched off (Options/Tag Reading & Writing).
(*) You can choose from standart and extended sets of RIFF INFO tags.
(*) Exact version of abcAVI had been included into About information.
(+) Import function (IMDb to AVI) includes now:
Creation search query
Sending queries to IMDb mail server
Receiving answers from IMDb mail server
Specifying search queries and creating data queries
Customizable parsing of data queries
Basic query management (sorting, deleting, reparsing, resending, getting auxilary information)
Applying finished queries to AVI files
(+) New 9 INFO tags have been added:
ICNM - Cinematographer
IMIT - Additional Information (More Info Text)
IMIU - URL to more information (More Info URL)
ILGU - Logo URL
ILIU - Logo Icon URL
IWMU - Watermark URL
IMBI - More Info Banner Image URL
IMBU - More Info Banner URL
All the tags except first were included for compatibility with Morgan Multimedia Stream Switcher
(+) New keywords had been added into the export template:
Video quality - $(videoquality)
Combined report on video compression - $(videocompress_ext)
Compression of video, % - $(videocompress_pers)
(+) It's possible now to replace end-of-line symbols in multiline tags by other characters (for example by "<br>" or ";")
(+) Added ability to view the structure of movi section (if you want to see real interleave of the streams)
(+) Added window with detailed information on video compression
(+) Precise calculations of video and audio bitrates had been added (based on the information from index section of AVI)
(+) Multiple modes of paste operations had been included - ordinary insertion, source tags priority and target tags priority. (See Options/Tag Reading & Writing)
(+) User can resize the main window
(+) Added 45 new video FourCC descriptions (thanks to http://www.kmstudio.com.ua)
2VUY - Optibase VideoPump 8-bit 4:2:2 Component Y'CbCr
8BPS - Apple QuickTime Planar RGB with Alpha-channel
ACTL - Streambox ACT-L2
AEIK - Intel Indeo Video 3.2 (Vector Quantization)
AP42 - AngelPotion Definitive (hack MS MP43)
AVID - Avid Motion JPEG
AVR - Avid ABVB/NuVista MJPEG with Alpha-channel
AVUI - Avid Meridien Uncompressed with Alpha-channel
AZRP - Quicktime Apple Video
BHIV - BeHere iVideo
BXBG - BOXX BGR
BXRG - BOXX RGB
BXY2 - BOXX 10-bit YUV
BXYV - BOXX YUV
DM4V - Dicas MPEGable MPEG-4
DTMT - Media-100 Codec
DTNT - Media-100 Codec
DVIS - VSYNC DualMoon Iris DV codec
DVL - Radius SoftDV 16:9 NTSC
DVLP - Radius SoftDV 16:9 PAL
DVPN - Apple QuickTime DV (DV NTSC)
DVPP - Apple QuickTime DV (DV PAL)
DVRS - VSYNC DualMoon Iris DV codec
GLCC - GigaLink AV Capture codec
IMJG - Accom SphereOUS MJPEG with Alpha-channel
IPJ2 - Image Power JPEG2000
KPCD - Kodak Photo CD
MCZM - Theory MicroCosm 64bit RGB with Alpha-channel
PNG - Apple PNG
PVWV - Pegasus Imaging Wavelet 2000
QDGX - Apple QuickDraw GX
R411 - Radius DV NTSC YUV
R420 - Radius DV PAL YUV
RAVI - GroupTRON ReferenceAVI codec (dummy for MPEG compressor)
RAV_ - GroupTRON ReferenceAVI codec (dummy for MPEG compressor)
SJPG - CUseeMe Networks Codec
SLDV - SoftLab-NSK Forward DV Draw codec
SPRK - Sorenson Spark
TGA - Apple TGA (with Alpha-channel)
TIFF - Apple TIFF (with Alpha-channel)
UYVU - SoftLab-NSK Forward YUV codec
V210 - Optibase VideoPump 10-bit 4:2:2 Component Y'CbCr
VP40 - On2 TrueCast VP4
VP50 - On2 TrueCast VP5
YUV2 - Apple Component Video (YUV 4:2:2)
(+) Added 5 new audio TwoCC descriptions (thanks to http://www.kmstudio.com.ua)
0x0402 - Ligos Indeo Audio
0x181E - Lucent elemedia AX24000P Music codec
0x1C07 - Lucent SX8300P speech codec
0x1C0C - Lucent SX5363S G.723 compliant codec
0x1F03 - CUseeMe DigiTalk (ex-Rocwell)

abcAVI Tag Editor 1.6.1
9 february 2003
(-) Export bug fixed: export to clipboard could failed and empty files with name "clipboard" had been created
(-) Options bug fixed: Decimal separator and separator for thousands had been saved incorrectly
(*) It's possible to choose in Options how the information on audio/video formats will be shown (with or without FourCC and TwoCC)
(*) It's possible to choose from all the existing fonts, not only MS Sans Serif and Arial
(*) Some improvements of the Options page were made
(+) It's possible to switch off useless pages of abcAVI Tag Editor
(+) Language files contain preferred charset, font name and character size

abcAVI Tag Editor 1.6
21 january 2003
(-) Export bug fixed: keywords $(fcchandler), $(namehandler), $(fcccodec) and $(namecodec) are processed correctly now
(-) Export bug fixed: empty lines and lines with tabs are saved correctly now
(-) Bug fixed: file names with character "&" are displayed correctly in the list of opened files.
(-) Writing bug fixed: JUNK section could replace 8 bytes of movi section.
(-) Corrected FourCC of DV compressed in SD (SDL) from "DVS1" to "DVSL"
(*) Impovement of export algorithm were made (creating of all needed directories, checking for file existance and so on)
(*) Export page: Keywords have different icons (easier navigation).
(*) Export page: All the keywords of header and footer are accessible in body of template too.
(*) Some interface improvements at Hacks & Tweaks page
(*) Button "Start Export" was moved to main menu. It has now hot key Ctrl+E.
(*) It's possible now to view whole list of translators of abcAVI Tag Editor, not only the author of last changes
(*) By default only the critical confirmations and messages are turned on
(*) Audio and video formats fileds contain information about FourCC and TwoCC
(*) 46 video and 3 audio codecs definitions were defined more exactly
(+) Export page: New special keywords were introduced (ask user for...)
(+) Export page: Target file name can contain keywords.
(+) Export template has "Template Description"
(+) Added a lot of new keywords at Export Template page
(+) Added buttons "Save Temlape As", "Save Template" and "Delete Template"
(+) List of avaible export templates was added (quick load template).
(+) Added short time format HH:MM:SS
(+) Comparison table of different tag's formats (description of Extended INFO tags) was compiled
(+) Added 95 new video codec definitions:
3IVD - FFmpeg DivX ;-) (MS MPEG-4 v3)
AAS4 - Autodesk Animator codec (RLE)
ADV1 - Loronix WaveCodec (used in various CCTV products)
ADVJ - Avid M-JPEG Avid Technology Also known as AVRn
AVI1 - MainConcept Motion JPEG Codec
AVI2 - MainConcept Motion JPEG Codec
BGR - Uncompressed BGR32 8:8:8:8
BGR(#15) - Uncompressed BGR15 5:5:5
BGR(#16) - Uncompressed BGR16 5:6:5
BGR(#24) - Uncompressed BGR24 8:8:8
BITM - Microsoft H.261
BLZ0 - FFmpeg MPEG-4
CLPL - Format similar to YV12 but including a level of indirection.
COL0 - FFmpeg DivX ;-) (MS MPEG-4 v3)
COL1 - FFmpeg DivX ;-) (MS MPEG-4 v3)
DCAP - Pinnacle DV25 Codec
DP02 - DynaPel MPEG-4
DRWX - Pinnacle DV25 Codec
DVCS - MainConcept DV Codec
FLIC - Autodesk FLI/FLC Animation
GEPJ - White Pine (ex Paradigm Matrix) Motion JPEG Codec
GPJM - Pinnacle ReelTime MJPEG Codec
GREY - Apparently a duplicate of Y800
IF09 - Microsoft H.261
IMC1 - As YV12 except the U and V planes each have the same stride as the Y plane
IMC2 - Similar to IMC1 except that the U and V lines are interleaved at half stride boundaries
IMC3 - As IMC1 except that U and V are swapped
IMC4 - As IMC2 except that U and V are swapped
JBYR - Kensington Video Codec
JFIF - Motion JPEG (FFmpeg)
L261 - Lead Technologies H.261
L263 - Lead Technologies H.263
LCMW - Lead Technologies Motion CMW Codec
LGRY - Lead Technologies Grayscale Image
LZO1 - LZO compressed (lossless codec)
MC24 - MainConcept Motion JPEG Codec
MP2A - Media Excel MPEG-2 Audio
MP2T - Media Excel MPEG-2 Transport Stream
MP2V - Media Excel MPEG-2 Video
MP41 - Microsoft MPEG-4 V1 (enhansed H263)
MP4A - Media Excel MPEG-4 Audio
MP4T - Media Excel MPEG-4 Transport Stream
MP4V - Media Excel MPEG-4 Video
MSS2 - Windows Media 9
MTGA - Motion TGA images (24, 32 bpp)
NHVU - NVidia Texture Format (GEForce 3)
NV12 - 8-bit Y plane followed by an interleaved U/V plane with 2x2 subsampling
NV21 - As NV12 with U and V reversed in the interleaved plane
NVDS - NVidia Texture Format
NVHS - NVidia Texture Format (GEForce 3)
PIXL - MiroVideo XL (Motion JPEG)
RGB(#15) - Uncompressed RGB15 5:5:5
RGB(#16) - Uncompressed RGB16 5:6:5
RGB(#24) - Uncompressed RGB24 8:8:8
RGB1 - Uncompressed RGB332 3:3:2
RGBO - Uncompressed RGB555 5:5:5
RGBP - Uncompressed RGB565 5:6:5
RGBQ - Uncompressed RGB555X 5:5:5 BE
RGBR - Uncompressed RGB565X 5:6:5 BE
ROQV - Id RoQ File Video Decoder
RTV0 - NewTek VideoToaster (uncompressed)
RV40 - RealVideo 9
SAN3 - MPEG-4 codec (direct copy of DivX 3.11a)
SP44 - SunPlus Aiptek MegaCam Codec
SP53 - SunPlus Aiptek MegaCam Codec
SP54 - SunPlus Aiptek MegaCam Codec
SP55 - SunPlus Aiptek MegaCam Codec
SP56 - SunPlus Aiptek MegaCam Codec
SP57 - SunPlus Aiptek MegaCam Codec
SP58 - SunPlus Aiptek MegaCam Codec
SWC1 - MainConcept Motion JPEG Codec
TIM2 - Pinnacle RAL DVI
TVJP - TrueVision Field Encoded Motion JPEG (Targa emulation)
UMP4 - UB Video MPEG 4
VDST - VirtualDub remote frameclient ICM driver
VSSV - Vanguard Software Solutions Video Codec
VTLP - Alaris VideoGramPixel Codec
VYU9 - ATI Technologies YUV
VYUY - ATI Packed YUV Data
WMV3 - Windows Media 9
WNVA - Winnov hw compress
WRPR - VideoTools VideoServer Client Codec (wrapper for AviSynth)
XVIX - Based on XviD MPEG-4 codec
XWV0 - XiWave Video Codec
XWV1 - XiWave Video Codec
XWV2 - XiWave Video Codec
XWV3 - XiWave Video Codec (Xi-3 Video)
XWV4 - XiWave Video Codec
XWV5 - XiWave Video Codec
XWV6 - XiWave Video Codec
XWV7 - XiWave Video Codec
XWV8 - XiWave Video Codec
XWV9 - XiWave Video Codec
XXAN - Origin Video Codec (used in Wing Commander 3 and 4)
ZYGO - ZyGo Video Codec
(+) Added 1 new audio codec definition:
0x0216 - Ulead DV ACM

abcAVI Tag Editor 1.5.1
27 november 2002
(-) Opening bug fixed: files with semicolon symbol ";" are processed successfully.
(*) Some improvements in dialogs routine (all the dialogs could be localized entirely, user can instant switch off the dialogs).
(*) DV type 1 files is now recognized as non VfW compatibile (there is single iavs stream instead of two vids&auds streams)
(+) Added the identification of Virtual Dub versions from it's build information.
(+) Added support of INFO tags of Morgan Multimedia Stream Switcher:
IAS1 - The language of the audio stream number 1
IAS2 - The language of the audio stream number 2
IAS3 - The language of the audio stream number 3
IAS4 - The language of the audio stream number 4
IAS5 - The language of the audio stream number 5
IAS6 - The language of the audio stream number 6
IAS7 - The language of the audio stream number 7
IAS8 - The language of the audio stream number 8
IAS9 - The language of the audio stream number 9
ICAS - Identifies the common audio stream (1-9)

abcAVI Tag Editor 1.5
18 october 2002
(-) Writing bug fixed: file structure had been damaged on changing AVI with huge headers (more then 65536 bytes).
(-) Interface bug fixed: subject of mail in "About..." window was "Avitags 1.1".
(-) Open files bug fixed: exceptions had been generated if user try to change some options while files opening.
(-) Template bug fixed: the unnecessary end-of-line symbols were generated on saving template.
(*) All the modal dialogs are aligned at center of main form.
(*) Find by the extensions action processes *.avi and *.divx files.
(*) If user choose some directories in "Open AVI file" dialog, files in subdirectories will be searched.
(*) The state "collapsed/expanded" for structure's tree is saved
(*) Algorithm of embeding abcAVI item into Windows shell's context menus was improved.
(*) Installation script was improved (added creation of shortcuts in Start menu and other).
(*) Statistics on opened files is updated while opening new files.
(+) User can view length of every stream in AVI file, not only total length.
(+) Added flags of corresponding countries into the list of available languages of interface.
(+) User can open directory or drive with video files ("Open directory" button).
(+) Passing parameters between copy of abcAVI Tag Editor was coded.
(+) Three new languages were added: Spanish, Polish and Czech
(+) Dinamic Link Library for reading/writing tags was created. Installation pack consists of DLL, help system and sample of use in Delphi.
(+) A lot of customizable confirmations and messages (24 dialogs) were added.
(+) Popup menus with keywords were added on export template page.
(+) Added ability of saving tree structure of current AVI file (executed from popup menu).
(+) Added button "View information from IMDb.com".
(+) abcAVI has following command line parameters:
-r - register abcAVI Tag Editor in Explorer's context menus of *.avi, *.divx, Directory and Drive (used in installation script).
-u - delete abcAVI Tag Editor from Explorer's context menus of *.avi, *.divx, Directory and Drive (used in uninstallation script).
-q - close abcAVI Tag Editor (used in uninstallation script).
(+) User can change decimal and thousand separators in Options.
(+) Added ability to cancel file opening (press Esc key on file loading).

abcAVI Tag Editor 1.4
16 jule 2002
(-) Corrected video bitrate calculation, the error is less then 0,5%
(-) Writing bug fixed: some tag's value grows by two #0 every writing.
(*) Interface changes - AVI tags were took places in three subpages "Primary Tags", "Movie Credits" and "Additional Tags".
(*) Added icons to the first level pages.
(*) Defined more exactly 9 video FourÑC descriptions.
(*) Defined more exactly 32 audio TwoCC descriptions (thanks to http://www.mplayerhq.hu).
(+) Added 8 new AVI tags (for compatibility with IMDB.com):
IMUS - composer
ICDS - costume designer
ICNT - country
IDST - distributor
IEDT - editor
ISGN - alternate genre
IPRO - producer
IPDS - production designer
(+) File preview function (Ctrl+P)
(+) Added languages - French, Hungarian, xEnglish, xRomanian
(+) Multiple audio streams support
(+) Added 26 new video FourCC descriptions (thanks to http://www.mplayerhq.hu)
AVDJ - Avid Motion JPEG
AZPR - Quicktime Apple Video
DIV1 - FFmpeg-4 V1 (hacked MS MPEG-4 V1)
DIV2 - FFmpeg-4 V2 (hacked MS MPEG-4 V2)
DVC - MainConcept DV Codec
DVCP - Sony Digital Video (DV)
M4S2 - Microsoft MPEG-4 (hacked MS MPEG-4)
MJPB - Motion JPEG codec
MPG1 - FFmpeg-1
MPG2 - FFmpeg-1
MPNG - Motion PNG codec
MSS1 - Windows Screen Video
NUV1 - NuppelVideo
Q1.0 - Q-Team QPEG 1.0
Q1.0 - Q-Team QPEG 1.1
RMP4 - REALmagic MPEG-4 Video Codec
RUD0 - Rududu video codec
RV10 - RealVideo codec
RV13 - RealVideo codec
SMC - Apple Graphics (SMC) codec (256 color)
SVQ3 - Sorenson Video 3 (Apple Quicktime 5)
TM2A - Duck TrueMotion Archiver 2.0
VIV1 - Vivo H.263
VIV2 - Vivo H.263
WMV1 - Windows Media Video 7
WMV2 - Windows Media Video 8
(+) Added 30 new audio TwoCC descriptions (thanks to http://www.mplayerhq.hu)
0x0008 - Microsoft DTS
0x0093 - MediaSonic G.723
0x0094 - Aculab 8KBPS
0x00A0 - Malden Electronics PHONYTALK
0x0125 - Sanyo ADPCM
0x0131 - Sipro Lab Telecom ACELP.4800
0x0132 - Sipro Lab Telecom ACELP.8V3
0x0133 - Sipro Lab Telecom ACELP.G.729
0x0134 - Sipro Lab Telecom ACELP.G.729A
0x0135 - Sipro Lab Telecom ACELP.KELVIN
0x0140 - Dictaphone G.726 ADPCM
0x0150 - Qualcomm PUREVOICE
0x0151 - Qualcomm HALFRATE
0x0155 - Ring Zero Systems TUBGSM
0x0210 - UHER informatic GmbH ADPCM
0x0230 - I-link Worldwide ILINK VC
0x0240 - Aureal Semiconductor RAW SPORT
0x0250 - Interactive Products HSX
0x0251 - Interactive Products RPELP
0x0260 - Consistent Software CS2
0x0270 - Sony ATRAC3
0x0681 - AT&T Labs TPC
0x0401 - Intel Music Coder (IMC)
0x1101 - Lernout & Hauspie CELP codec
0x1102 - Lernout & Hauspie SBC codec
0x1103 - Lernout & Hauspie SBC codec
0x1104 - Lernout & Hauspie SBC codec
0x181C - VoxWare RT24 speech codec
0x1FC4 - ALF2
0xFFFE - Extensible wave format

abcAVI Tag Editor 1.3
25 june 2002
(-) Reading bug fixed: recognition of the space containing FourCC i.e. "RLE ", "DIB " etc.
(-) Reading bug fixed: wrong representation idx1 tag information.
(-) Reading bug fixed: skiping huge AVI header. Now huge tags only but not huge lists are skiped (except list "movi").
(-) Writing bug fixed: erasing AVI header while writing info in file without "idx1" chunk.
(-) Writing bug fixed: file without tags has empty "LIST INFO" and "LIST MID".
(-) Setup bug fixed: old versions registry and files were not deleted
(-) Reading bug fixed: read only files (for example on CD) couldn't be read in WinXP
(-) Writing bug fixed: abcAVI occupy files after writing tags
(-) Reading bug fixed: different files with the same short names can't be opened simultaneously.
(*) Faster file loading (swoping TreeView by DCTree lead to more then 10 speed growing)
(*) An installer made, added uninstall confirmation
(*) Saving options in ini-file (window positon, option page, export template, working directories)
(*) abcAVI has it's directory in Program Files
(*) The interface optimisation, status bar shows files statistics
(*) Buttons activation had been tuned
(*) Defined more exactly 50 video FourCC descriptions (thanks to http://www.kmstudio.com.ua)
(+) Added 28 new video FourCC descriptions (thanks to http://www.kmstudio.com.ua)
3IVX - MPEG4-based codec 3ivx
AVRN - Avid Motion JPEG
BTVC - Conexant Composite Video
DPS0 - DPS Reality Motion JPEG
DPSC - DPS PAR Motion JPEG
DSVD - Microsoft DirectShow DV
DV25 - Matrox DVCPRO codec
DV50 - Matrox DVCPRO50 codec
DVMA - Darim Vision DVMPEG
DX50 - DivX 5.0 codec
EM2V - Etymonix MPEG-2 I-frame
FRWT - Darim Vision Forward Motion JPEG
FRWU - Darim Vision Forward Uncompressed
FVFW - ff MPEG-4 based on XviD codec
IYUV - Intel Indeo iYUV 4:2:0
LSVM - Vianet Lighting Strike Vmail (Streaming)
MJ2C - Morgan Multimedia JPEG2000 Compression
MJPA - Pinnacle Motion JPEG with Alpha-channel
MMES - Matrox MPEG-2 I-frame
MSZH - Lossless codec (ZIP compression)
NAVI - nAVI video codec (hacked MS MPEG-4)
NT00 - NewTek LigtWave HDTV YUV with Alpha-channel
RPZA - Apple Video 16 bit
SJPG - White Pine (ex Paradigm Matrix) Motion JPEG
T420 - Toshiba YUV 4:2:0
TVMJ - Field Encoded Motion JPEG (Targa emulation)
U263 - UB Video StreamForce H.263
XVID - XviD MPEG-4 codec
(+) Added 8 new audio TwoCC descriptions
0x0043 - IBM AVC ADPCM
0x674f - Ogg Vorbis (mode 1)
0x676f - Ogg Vorbis (mode 1+)
0x6750 - Ogg Vorbis (mode 2)
0x6770 - Ogg Vorbis (mode 2+)
0x6751 - Ogg Vorbis (mode 3)
0x6771 - Ogg Vorbis (mode 3+)
0xFFFF - In Development / Unregistered
(+) Disallow tag editing on read only files
(+) Reading and writing export templates
(+) Added export list (sorting, drag & drop, flags checking)
(+) Added report creation
(+) Bilevel keywords menu in template editor
(+) Multilanguage interface, changing language "on the fly" (English, Russian, Romanian, German, Chinese, Chinese Taiwan)
(+) Added options "Find in subdirectories", "Ignore AVI header errors"
(+) Added font size and name options
(+) Russian version http://abcavi.da.ru
(+) Size show format may be "bytes", "KB" or "MB"
(+) Time show format may be "XX h XX min XX.XX s", "XX min XX.XX s" or "XX.XX ñ"

abcAVI Tag Editor 1.2
17 may 2002
(-) Open files bug fixed: programme was frozen on loading files
(-) Bug fixed: codes for "multilanguage" and "silent movie" overlaped codes for other languages.
(-) Calculation bug fixed: 1 kilobit = 1000 bit, not 1024 bit
(-) Tag saving bug fixed: MovieID tags should be saved after idx1 section
(-) FourCC Corrected: Vivo G.723 is 0x0111
(-) Open files bug fixed: active file after opening is first new file
(-) Open files bug fixed: files opened from command line parameters have correct long names.
(*) Procedures of saving and recognition tags had been optimized.
(*) Maximum tag size was increased from 32000 up to 65536 bytes
(*) Some improvements in the program interface was made
(*) The tree of AVI structure has an icons now
(*) Tag Editor has new name since this moment - now it's called abcAVI Tag Editor ("abc" is "Add, Browse & Change AVI tags")
(+) 3 new video Four Character Codes were added
MDVD - Alex MicroDVD Video
MPG3 - Same as Low motion DivX MPEG-4
VIFP - Virtual Frame API codec (VFAPI)
(+) 3 new audio Two Character Codes were added
0x0130 - Sipro Lab Telecom ACELP.net audio codec
0x0160 - Windows Media Audio V1
0x0161 - Windows Media Audio V2 (Alex AC3 Audio Decoder)
(*) Four new genres were added:
horror/mystic
scifi action
psychological thriller
melodrama
(+) Added recognition of Virtual Dub's information (JUNK chunk has build number inside)
(+) Added calculation info about video compression
(+) Inner tags clipboard is transparently translated to the Windows text clipboard
(+) Added "Hacks & Tweaks" page - posibility to change video decoder FCC, frame rate and frame size.
(+) Added subdirectory processing (search files in subdirectories)
(+) Included option of cutting off MovieID and IDivX tags (smaller file size)
(+) Added detection of the running copy of programme (only one instance allowed)
(+) "File list" menu item created - user can quick jump to desired file
(+) Added saving coordinates of tools panels on programme close
(+) Home page of abcAVI Tag Editor - http://abcavi.da.ru (English version) was opened

Total AVI Tags Editor 1.1
12 february 2002
(+) Graphic user interface
(+) Editor supports three tag formats: RIFF INFO, MovieID and IDivX
(+) Database of FourCC and TwoCC codes consists of 104 audio and 276 video formats descriptions (thanks to http://webartz.com/fourcc)
(+) Block of short information contains following items: file name, file length, file size, audio format and video format.
(+) Page "Total Information" contains full information on AVI structure in tree form.
(+) Page "Primary Tags" contains following items: Title, Director, Script Writer, Subject, Production, Starring, Product, Creation Date, Genre, Rated, Copyright, Language, Keywords, Part, Total Number of Parts and Comments.
(+) Page "Additional Tags" contains following items: Software, Encoded by, Digitization Date, Internet Address, Source Form, Medium, Source, Location, Commissioned by, Engeener and other.
(+) Tags Editor is able to open several files at the same time, there is file navigation panel.
(+) User can clone tag between all opened files by one click.
(+) Some fields have lists of predefined values (Product, Genre, Rating, Language, Source Form and Medium).
(+) User can copy all tags of current file into clipboard and paste to another file or to all the files by one click.
(+) It's possible to clear all the tags of one file (or all files).
(+) There are Undo and Global Undo functions
(+) Editor supports Drag & Drop files and loading through command line parameters.

AVI tags 1.0
14 january 2002
(+) Console programme
(+) Reading and writing RIFF INFO tags
(+) Building AVI info tree structure
(+) Writing new tags info in place of JUNK chunks (JUNK chunk compression)

Used tools:
Borland Delphi 5.0 - powerful RAD environment
VCL Toolbar2000 by Jordan Russell - nice Toolbar component
VCL TDCTree by Dream Company - fast TreeView component
VCL Internet Direct (Indy) 9.0 - open source internet component suite comprised of popular internet protocols
VCL TMemoEx by TMemoEx.com team - Memo component without size limitation
Developer pack:
Brain.sys
Internet.inf
Hands.drv

Gratitude:
Tatyana Sorkina - for moral support
Alexander Zoodin - for betatesting and some ideas
Marius Ovidiu - for translating and prompting

Help this project
You may help this project - try to translate the interface of abcAVI Tag Editor to your language and send new ini file to avitags@mail.ru.

Please, try to translate all the items in language ini. I'm not an expert in the most languages, but I think, users are worthy of good interface espetially in their native language. Please, use the spellcheckers for your language. And one more request - check up your translation into the presence of truncated strings (strings that couldn't be fited in their place) and use the reductions if it is necessary.

You may use free cool tool for comfortable translation of ini-based applications - Translator by Jernej Simonic.

Alexander Sorkin